MyBB 1.8.21 Pre-Release Build
#1
A preview version of MyBB 1.8.21 expected to address several minor issues is now ready for public testing.

During this phase we welcome board administrators, developers and our Community to verify installation, upgrading, compatibility, and general stability using test and/or staging environments before an official upgrade is released and applied to live boards.

Download from GitHub: https://github.com/mybb/mybb/releases/ta...1821_build

* Non-production use only: Pre-release versions, including upgrades to/from/between them, are generally not supported. Test packages may contain errors that may be difficult to recover from on active boards.

* Pre-release: The software can be installed or upgraded by placing/overwriting files from the package. The final release may include further modifications including those addressing security issues, and separate update packages for use with the previous version.

* Dynamic build: The provided code is attached to a repository tag that may be updated when additional public updates are pushed.


Resolved Issues: MyBB 1.8.21 Milestone

Comment: This release updates the jQuery version used to jQuery 3.3.1, which is the current release. There is a chance that some custom JS may break - please test and raise any issues in the forums so we can find fixes!

Testing focus: Please report suspected issues related to this update here or on our Discord in #18-development.

Go to mybb.com/security to report possible security concerns or to learn more about security research at MyBB.

If you would like to contribute to the Project, Get Involved.

Thanks,
The MyBB Team
#2
Thans so much i will make some tests now to help you on this at least Smile

It's nice to see a new version with many improvements Smile
The only infinite thing is the universe and human stupidity, but the universe is not for sure

Plugins 1.6.x

Plugins 1.8.x

#3
Great job will test it locally. Just to ask does this include some change to authorization code missmatch?

It ts really scary since 1.8.19 to upgrade when this randomly unsolvable bug appear out of the sky
#4
(2019-06-02, 06:45 AM)codedude Wrote: Great job will test it locally. Just to ask does this include some change to authorization code missmatch?

It ts really scary since 1.8.19 to upgrade when this randomly unsolvable bug appear out of the sky

As far as I’m aware it doesn’t include any changes to that. It is a solvable bug, if it is still happening for you feel free to PM me some admin details to your website and I’ll take a look.
-Ben

Please do not PM me for support. I am looking to be hired for paid services.

You can view my paid services here.
#5
(2019-06-02, 08:39 AM)Ben Wrote:
(2019-06-02, 06:45 AM)codedude Wrote: Great job will test it locally. Just to ask does this include some change to authorization code missmatch?

It ts really scary since 1.8.19 to upgrade when this randomly unsolvable bug appear out of the sky

As far as I’m aware it doesn’t include any changes to that. It is a solvable bug, if it is still happening for you feel free to PM me some admin details to your website and I’ll take a look.

For now not. The thing is when I tested pre-release for 1.8.20 it was working, then bam 1.8.20 release version authentication code mismatch but somehow manage to fix with the help of effone.
#6
Did you also change themes during this time? There is a number of things it may have been but we will take note of this in case of any additional reports.
-Ben

Please do not PM me for support. I am looking to be hired for paid services.

You can view my paid services here.
#7
Thanks for the update Euan, I will check this locally as well.
#8
Have been testing on a PostgreSQL board and everything seems to be working nicely so far.
#9
I have tested all again within a cache clearing and now all works fine, the only issue is with email function and only in source mode, it does not work. But all the other stuff yeah it works fine, i have make more tests for today.

I will continue on testing this Smile (Of course i use only one explorer, one OS to test for now Windows 10 and Mozilla Firefox).
The only infinite thing is the universe and human stupidity, but the universe is not for sure

Plugins 1.6.x

Plugins 1.8.x

#10
When the mybb community will be updated to 1.8.21?


Forum Jump:


Users browsing this thread: 1 Guest(s)